# Visualization
TKV3d
DsgPrs

# DsgPrs_ShapeDirPresentation Class Reference

A framework to define display of the normal to the
surface of a shape.
.

`#include <DsgPrs_ShapeDirPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&prs, const Handle(Prs3d_Drawer)&aDrawer, const TopoDS_Shape &shape, const Standard_Integer mode)
| Adds the shape shape and the mode mode to the presentation object prs. The display attributes of the normal are defined by the attribute manager aDrawer. mode determines whether the first or the last point of the normal is given to the presentation object. If the first point: 0; if the last point, 1. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_ShapeDirPresentation::Add | ( | const Handle(Prs3d_Presentation)& | prs,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TopoDS_Shape & | shape,
|  | const Standard_Integer | mode
| ) | `[static]`

void DsgPrs_ShapeDirPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_ShapeDirPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_ShapeDirPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_ShapeDirPresentation.hxx